///////////////////////////////////////////////////////////////////////
//  SpectraVueMsgs.h
//		This file contains the definitions for all the external messages
// that can be used to communicate with SpectraVue from an external process.
//////////////////////////////////////////////////////////////////////
#if !defined(SpectraVueMsgs0A83B9C2_549A_11D2_A141_00A0C996E7F5__INCLUDED_)
#define SpectraVueMsgs0A83B9C2_549A_11D2_A141_00A0C996E7F5__INCLUDED_

#define SV_REGISTERED_MSG_STRING "SpectraVueExtMsg"

#define SV_TO_EXTERNAL (1<<31)	//bit "OR'd" with SVCMD_xxx  to distinguish msgs coming from SV

#define SVCMD_STATUS			0x10	//Status values from SV
 #define SV_STATUS_OFFLINE		0	
 #define SV_STATUS_IDLE			1
 #define SV_STATUS_PAUSED		2
 #define SV_STATUS_RUNNING		3

#define SVCMD_SQUELCH			0x18	//Squelch Status value from SV
#define SVCMD_SQUELCH_LEV		0x19	//Squelch Signal Level request to SV or current value from SV
#define SVCMD_SQUELCH_THRESH	0x1A	//Squelch Threshold value to/from SV

#define SVCMD_START				0x20	//cmd to SV to start/resume running
#define SVCMD_PAUSE				0x30	//cmd to SV to pause running
#define SVCMD_STOP				0x40	//cmd to SV to stop running
#define SVCMD_DEMOD_STATE		0x48	//cmd to/from SV demodulation on and off
 #define SV_DEMOD_OFF 0
 #define SV_DEMOD_ON 1
#define SVCMD_SET_CENTER_FREQ	0x50	//cmd to/from SV's center frequency
#define SVCMD_SET_CENTER_FREQ_MSW	0x51	//cmd to/from SV's center frequency upper 32 bits
#define SVCMD_SET_SPAN_FREQ		0x60	//cmd to/from SV's span frequency range
#define SVCMD_DEMOD_0_FREQ		0x70	//cmd to/from SV's channel 0 demod frequency
#define SVCMD_DEMOD_1_FREQ		0x71	//cmd to/from SV's channel 1 demod frequency
#define SVCMD_DEMOD_0_FREQ_MSW	0x72	//cmd to/from SV's channel 0 demod frequency upper 32 bits
#define SVCMD_DEMOD_1_FREQ_MSW	0x73	//cmd to/from SV's channel 1 demod frequency upper 32 bits
#define SVCMD_DEMOD_MODE		0x80	//cmd to/from SV's demod mode
 
 #define SV_DEMOD_AM 0			//demod types 
 #define SV_DEMOD_WBFM 1
 #define SV_DEMOD_FM 2
 #define SV_DEMOD_USB 3
 #define SV_DEMOD_LSB 4
 #define SV_DEMOD_CWU 5
 #define SV_DEMOD_CWL 6
 #define SV_DEMOD_DSB 7
 #define SV_DEMOD_NFM 8
 #define SV_DEMOD_WUSB 9

#define SVCMD_FILE_CAPTURE_MODE 0x88	//cmd to/from SV File Capture modes
 #define SV_FILECAPTURE_OFF 0
 #define SV_RFFILECAPTURE_ON 1
 #define SV_DEMODFILECAPTURE_ON 2
#define SVCMD_SET_RFGAIN	0x90	//cmd to/from SV RF Gain setting
 #define SV_RFGAIN_0 0
 #define SV_RFGAIN_M10 1
 #define SV_RFGAIN_M20 2
 #define SV_RFGAIN_M30 3
#define SVCMD_SET_IFGAIN	0x98	//cmd to/from SV RF Gain setting
 #define SV_IFGAIN_24 0
 #define SV_IFGAIN_18 1
 #define SV_IFGAIN_12 2
 #define SV_IFGAIN_6 3
 #define SV_IFGAIN_0 4


#define SVCMD_MAX_AMP 0xA0	//msg from SV with highest marker amplitude if markers are on
#define SVCMD_MAX_FREQ 0xA1	//msg from SV with highest marker frequency if markers are on

#define SVCMD_REQ_SETTINGS 0xA8	//cmd to SV to get center freq, demod freqs, and demod mode

#define SVCMD_MUTE	0xB0


#endif	//SpectraVueMsgs0A83B9C2_549A_11D2_A141_00A0C996E7F5__INCLUDED